## org.codehaus.groovy.grails.validation.metaclass
Class ConstraintsEvaluatingDynamicProperty

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty
          org.codehaus.groovy.grails.validation.metaclass.ConstraintsEvaluatingDynamicProperty

All Implemented Interfaces:
  DynamicProperty

    public class ConstraintsEvaluatingDynamicProperty

extends AbstractDynamicProperty

This is a dynamic property that instead of returning the closure sets a new proxy meta class for the scope of the call and invokes the closure itself which builds up a list of ConstrainedProperty instances

Since:
  07-Nov-2005
Author:
  Graeme Rocher, Sergey Nebolsin

Field Summary
`static String` `PROPERTY_NAME`

Constructor Summary
`ConstraintsEvaluatingDynamicProperty()`
`ConstraintsEvaluatingDynamicProperty(GrailsDomainClassProperty[] properties)`

Method Summary
`Object` `get(Object object)` Call the getter on the given object
`void` `set(Object object, Object newValue)` Call the setter on the given object

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty
`getPropertyName, isPropertyMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

See Also:
  Constant Field Values

Constructor Detail

### ConstraintsEvaluatingDynamicProperty

    public ConstraintsEvaluatingDynamicProperty(GrailsDomainClassProperty[] properties)

### ConstraintsEvaluatingDynamicProperty

    public ConstraintsEvaluatingDynamicProperty()

Method Detail

### get

    public Object get(Object object)

  Description copied from interface: `DynamicProperty`
  Call the getter on the given object

  Specified by:
    `get` in interface `DynamicProperty`
  Specified by:
    `get` in class `AbstractDynamicProperty`
  Parameters:
    `object` - The target object
  Returns:
    The result of the getter

### set

    public void set(Object object,
                    Object newValue)

  Description copied from interface: `DynamicProperty`
  Call the setter on the given object

  Specified by:
    `set` in interface `DynamicProperty`
  Specified by:
    `set` in class `AbstractDynamicProperty`
  Parameters:
    `object` - The target object
    `newValue` - The new value of the property

Copyright (c) 2005-2009 The Grails project